/* does very basic statistics
	hopefully down the road, I'll have time to develop an advanced statistics
	system using MySQL.
*/

#include <stdio.h>
#include <string.h>

#include "stats_basic.h"
#include "ycht_pkt.h"

void ResetStats(Tstat *tstat)
{
	tstat->c_join=0;
	tstat->c_leave=0;
	tstat->c_pkt_udef=0;
	tstat->c_talk=0;
	tstat->c_bytes=0;
}

int DoRoomStats(unsigned char * pkt, Tstat *tstat)
{
	tstat->c_bytes+=pktTotalLen(pkt);

	switch(pktGetType(pkt))
	{
		case PKT_JOIN:
			tstat->c_join++;
			break;
		case PKT_LEAVE:
			tstat->c_leave++;
			break;
		case PKT_TALK:
			tstat->c_talk++;
			break;
		default:
			tstat->c_pkt_udef++;
			break;
	}
	return 0;
}


/* make a pretty string to display stats */
void Stat2Str(unsigned char * buf, Tstat *tstat)
{
	sprintf(buf,"room stats:\njoined:         %lu\nleft:           %lu\nnum chat msgs:  %lu\nundefined pkts  %lu\ntotal bytes:    %lu",tstat->c_join, tstat->c_leave, tstat->c_talk, tstat->c_pkt_udef,tstat->c_bytes);
}
